Bug 452625 - Desktop Grid "Click behavior" setting doesn't get applied/saved
Summary: Desktop Grid "Click behavior" setting doesn't get applied/saved
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-desktop-grid (show other bugs)
Version: 5.24.4
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-14 21:08 UTC by Cristóbal Veas
Modified: 2022-05-06 10:45 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments
Video reproducing the bug. (1.88 MB, video/mp4)
2022-04-14 21:08 UTC, Cristóbal Veas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cristóbal Veas 2022-04-14 21:08:48 UTC
Created attachment 148164 [details]
Video reproducing the bug.

SUMMARY
The desktop grid behavior setting isn't applied when trying to change it.

STEPS TO REPRODUCE
1. Open System Settings and go to Workspace Behavior > Desktop Effects.
2. Search for "Desktop Grid" and click the "Configure" button.
3. Change the default "Click behavior", click "Ok" and close System Settings.
4. Repeat steps 1 and 2 and see if the previously chosen "Click behavior" is selected or applied.

OBSERVED RESULT
The previously selected "Click behavior" doesn't get saved nor applied.

EXPECTED RESULT
The previously selected "Click behavior" gets saved and applied correctly.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.17.1-arch1-1 (64-bit)
Graphics Platform: Wayland
Processors: 4 × Intel® Core™ i3-2350M CPU @ 2.30GHz
Memory: 7.7 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 3000
Comment 1 Marco Martin 2022-05-06 10:45:09 UTC
Git commit 7a4cabf3287e82e7d1d6ba84b8b059ab470f9f42 by Marco Martin.
Committed on 06/05/2022 at 10:44.
Pushed by mart into branch 'master'.

QML version of the Desktop Grid effect

Replace completely the old desktop grid effect with a QML version.
Aims to feature parity and be a change as transparent as possible for the user.
Related: bug 433071, bug 443971, bug 437121, bug 452925, bug 437928, bug 452439, bug 288530, bug 450254, bug 450106, bug 447832, bug 449960, bug 416576, bug 441862, bug 444859, bug 445999, bug 422117, bug 404627, bug 435483, bug 420744, bug 435482, bug 427055, bug 333445, bug 429120, bug 427391, bug 409295, bug 294322, bug 356955
FIXED-IN: 5.25

M  +5    -0    src/effects.cpp
M  +10   -5    src/effects/desktopgrid/CMakeLists.txt
D  +0    -1571 src/effects/desktopgrid/desktopgrid.cpp
D  +0    -186  src/effects/desktopgrid/desktopgrid.h
D  +0    -32   src/effects/desktopgrid/desktopgrid.kcfg
M  +6    -14   src/effects/desktopgrid/desktopgrid_config.cpp
M  +2    -2    src/effects/desktopgrid/desktopgrid_config.h
M  +68   -144  src/effects/desktopgrid/desktopgrid_config.ui
A  +32   -0    src/effects/desktopgrid/desktopgridconfig.kcfg
M  +5    -1    src/effects/desktopgrid/desktopgridconfig.kcfgc
A  +342  -0    src/effects/desktopgrid/desktopgrideffect.cpp     [License: GPL(v2.0+)]
A  +108  -0    src/effects/desktopgrid/desktopgrideffect.h     [License: GPL(v2.0+)]
M  +5    -4    src/effects/desktopgrid/main.cpp
D  +0    -26   src/effects/desktopgrid/main.qml
M  +1    -0    src/effects/desktopgrid/metadata.json
A  +255  -0    src/effects/desktopgrid/qml/DesktopView.qml     [License: GPL(v2.0+)]
A  +193  -0    src/effects/desktopgrid/qml/main.qml     [License: GPL(v2.0+)]
M  +22   -5    src/effects/private/qml/WindowHeap.qml
M  +21   -3    src/libkwineffects/kwineffects.h
M  +4    -1    src/libkwineffects/kwinquickeffect.cpp

https://invent.kde.org/plasma/kwin/commit/7a4cabf3287e82e7d1d6ba84b8b059ab470f9f42